package a3test.sound;

import jp.sourceforge.acerola3d.a3.*;

public class SoundGainTest {
    public static void main(String args[]) throws Exception {
        A3Window w = new A3Window(300,300);

        Action3D a3_1 = new Action3D("x-res:///mp3test.a3");
        a3_1.change("bgm1");
        w.add(a3_1);

        Action3D a3_2 = new Action3D("x-res:///mp3test.a3");
        a3_2.change("bgm2");
        w.add(a3_2);

        Thread.sleep(3000);
        a3_1.setSoundGain(1.0);
        a3_2.setSoundGain(0.2);
        System.out.println("change"+a3_2.getSoundGain());
        Thread.sleep(3000);
        a3_1.setSoundGain(0.2);
        a3_2.setSoundGain(1.0);
        System.out.println("change"+a3_2.getSoundGain());
        Thread.sleep(3000);
        a3_1.setSoundGain(1.0);
        a3_2.setSoundGain(1.0);
        System.out.println("change");
        Thread.sleep(3000);
        w.setSoundGain(0.2);
        System.out.println("change"+w.getSoundGain());
        Thread.sleep(3000);
        w.setSoundGain(2.0);
        System.out.println("change"+w.getSoundGain());
    }
}
